JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
await client.users.tenants.removeAll('user_id');import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
client.users.tenants.remove_all(
"user_id",
)package main
import (
"context"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Users.Tenants.RemoveAll(context.TODO(), "user_id")
if err != nil {
panic(err.Error())
}
}
package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.users.tenants.TenantRemoveAllParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
client.users().tenants().removeAll("user_id");
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
result = courier.users.tenants.remove_all("user_id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$result = $client->users->tenants->removeAll('user_id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}using TryCourier;
using TryCourier.Models.Users.Tenants;
CourierClient client = new();
TenantRemoveAllParams parameters = new() { UserID = "user_id" };
await client.Users.Tenants.RemoveAll(parameters);courier users:tenants remove-all \
--api-key 'My API Key' \
--user-id user_idcurl --request DELETE \
--url https://api.courier.com/users/{user_id}/tenants \
--header 'Authorization: Bearer <token>'User Tenants
Remove User From All Associated Tenants
Removes a user from any tenants they may have been associated with.
DELETE
/
users
/
{user_id}
/
tenants
JavaScript
import Courier from '@trycourier/courier';
const client = new Courier({
apiKey: process.env['COURIER_API_KEY'], // This is the default and can be omitted
});
await client.users.tenants.removeAll('user_id');import os
from courier import Courier
client = Courier(
api_key=os.environ.get("COURIER_API_KEY"), # This is the default and can be omitted
)
client.users.tenants.remove_all(
"user_id",
)package main
import (
"context"
"github.com/trycourier/courier-go"
"github.com/trycourier/courier-go/option"
)
func main() {
client := courier.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Users.Tenants.RemoveAll(context.TODO(), "user_id")
if err != nil {
panic(err.Error())
}
}
package com.courier.example;
import com.courier.client.CourierClient;
import com.courier.client.okhttp.CourierOkHttpClient;
import com.courier.models.users.tenants.TenantRemoveAllParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CourierClient client = CourierOkHttpClient.fromEnv();
client.users().tenants().removeAll("user_id");
}
}require "courier"
courier = Courier::Client.new(api_key: "My API Key")
result = courier.users.tenants.remove_all("user_id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Courier\Client;
use Courier\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('COURIER_API_KEY') ?: 'My API Key');
try {
$result = $client->users->tenants->removeAll('user_id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}using TryCourier;
using TryCourier.Models.Users.Tenants;
CourierClient client = new();
TenantRemoveAllParams parameters = new() { UserID = "user_id" };
await client.Users.Tenants.RemoveAll(parameters);courier users:tenants remove-all \
--api-key 'My API Key' \
--user-id user_idcurl --request DELETE \
--url https://api.courier.com/users/{user_id}/tenants \
--header 'Authorization: Bearer <token>'⌘I